const {objToCamel, isValue, YMDHms} = require("../../util/index")

module.exports = class SourceEntity {
  constructor(obj) {
    objToCamel(obj)
    this.id = isValue(obj?.id) ? obj.id : null
    this.name = isValue(obj?.name) ? obj.name : null
    this.sort = isValue(obj?.sort) ? obj.sort : 0
    this.remark = isValue(obj?.remark) ? obj.remark : null
    this.createTime = isValue(obj?.createTime) ? YMDHms(obj.createTime) : null
    this.updateTime = isValue(obj?.updateTime) ? YMDHms(obj.updateTime) : null
    this.tileUrl = isValue(obj?.tileUrl) ? obj.tileUrl : null
    this.tileName = isValue(obj?.tileName) ? obj.tileName : null
    this.wsUrl = isValue(obj?.wsUrl) ? obj.wsUrl : null
    this.wsDataFlag = isValue(obj?.wsDataFlag) ? obj.wsDataFlag : null
    this.historyWsUrl = isValue(obj?.historyWsUrl) ? obj.historyWsUrl : null
    this.historyWsDataFlag = isValue(obj?.historyWsDataFlag) ? obj.historyWsDataFlag : null
    this.historyWsOtherParams = isValue(obj?.historyWsOtherParams) ? obj.historyWsOtherParams : null
    this.color = isValue(obj?.color) ? obj.color : null
  }
}