const {objToCamel, isValue, YMDHms} = require("../../util/index")

module.exports = class StaticEntity {
  constructor(obj) {
    objToCamel(obj)
    this.id = isValue(obj?.id) ? obj.id : null
    this.name = isValue(obj?.name) ? obj.name : null
    this.sort = isValue(obj?.sort) ? obj.sort : 0
    this.remark = isValue(obj?.remark) ? obj.remark : null
    this.createTime = isValue(obj?.createTime) ? YMDHms(obj.createTime) : null
    this.updateTime = isValue(obj?.updateTime) ? YMDHms(obj.updateTime) : null
    this.color = isValue(obj?.color) ? obj.color : null
    this.wkt = isValue(obj?.wkt) ? obj.wkt : null
  }
}