const resultCode = {
    200: '请求成功',
    500: '请求失败'
}
module.exports = class ApiResult {
    constructor(code, data, msg) {
        this.code = code
        this.data = data
        this.msg = msg
    }
    success(data, msg) {
        const c = 200
        return new ApiResult(c, data, msg || resultCode[c])
    }
    error(data, msg) {
        const c = 500
        return new ApiResult(c, data, msg || resultCode[c])
    }
}