const {sqlHandle} = require("./db")

const PageResult = async (sql, pageNum, pageSize, Entity) => {
    const result = await sqlHandle(sql)
    return {
        data: result.slice((pageNum - 1) * pageSize, pageNum * pageSize).map(v => Entity ? new Entity(v) : v),
        total: result.length
    }
}
module.exports = PageResult